> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-continuous.md).

# Continuous (GaussianGenerator)

The [Continuous](/app/generation/generators/generator-reference/continuous.md) generator generates a continuous distribution to fit the underlying data.

## Link object structure <a href="#generator-api-continuous-link-object" id="generator-api-continuous-link-object"></a>

The Continuous generator supports linking. It cannot be made consistent, but you can configure differential privacy.

The `metadata` object is populated from the [`BaseMetadata`](https://app.tonic.ai/apidocs/index.html#/models/BaseMetadata) object.

The Continuous generator does support partitioning, which is configured in the [`partitions` object outside of the `links` object](/app/api/quick-start-guide/tonic-api-generator-assignment/tonic-api-generator-assignment-structure.md#tonic-api-generator-partition-column-list).

There is no generator-specific configuration.

```json
{
  "schema": "string",
  "table": "string",
  "column": "string",
  "path": "string",  //JSON fields only
  "dataType": "string",  //MongoDB, Amazon DynamoDB, and JSON fields only
  "metadata": {
    "presetId": "string",
    "generatorId": "GaussianGenerator",
    "isDifferentiallyPrivate": boolean,
    "encryptionProcessor": "x-on", //To use configured Structural data encryption
    "customValueProcessor": "string" //If custom value processor applied
  }
}
```

## Example replacement <a href="#generator-api-continuous-replacement" id="generator-api-continuous-replacement"></a>

In this example replacement for the Continuous generator, differential privacy is enabled. The `capital-gain` column is partitioned by the `native-country` and `income` columns.

```json
{
  "name": "capital-gain",
  "schema": "public",
  "table": "user-income",
  "links": [
    {
      "schema": "public",
      "table": "user-income",
      "column": "capital-gain",
      "metadata": {
        "presetId": "GaussianGenerator",
        "generatorId": "GaussianGenerator",
        "isDifferentiallyPrivate": true
      }
    }
  ],
  "partitions": [
    "native-country",
    "income"
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-continuous.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
